Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# _TAO_Unbounded_Sequence_TAO_SCIOPEndpointSequence Class Reference

`#include <sciop_endpoints.h>`

Inheritance diagram for _TAO_Unbounded_Sequence_TAO_SCIOPEndpointSequence:

[legend]
Collaboration diagram for _TAO_Unbounded_Sequence_TAO_SCIOPEndpointSequence:

[legend]
List of all members.

## Public Methods
| _TAO_Unbounded_Sequence_TAO_SCIOPEndpointSequence (void)
| _TAO_Unbounded_Sequence_TAO_SCIOPEndpointSequence (CORBA::ULong maximum)
| _TAO_Unbounded_Sequence_TAO_SCIOPEndpointSequence (CORBA::ULong maximum, CORBA::ULong length, TAO_SCIOP_Endpoint_Info *data, CORBA::Boolean release=0)
| _TAO_Unbounded_Sequence_TAO_SCIOPEndpointSequence (const _TAO_Unbounded_Sequence_TAO_SCIOPEndpointSequence &rhs)
_TAO_Unbounded_Sequence_TAO_SCIOPEndpointSequence & | operator= (const _TAO_Unbounded_Sequence_TAO_SCIOPEndpointSequence &rhs)
virtual | ~_TAO_Unbounded_Sequence_TAO_SCIOPEndpointSequence (void)
TAO_SCIOP_Endpoint_Info & | operator[] (CORBA::ULong i)
const TAO_SCIOP_Endpoint_Info & | operator[] (CORBA::ULong i) const
virtual void | _allocate_buffer (CORBA::ULong length)
virtual void | _deallocate_buffer (void)
TAO_SCIOP_Endpoint_Info * | get_buffer (CORBA::Boolean orphan=0)
const TAO_SCIOP_Endpoint_Info * | get_buffer (void) const
void | replace (CORBA::ULong max, CORBA::ULong length, TAO_SCIOP_Endpoint_Info *data, CORBA::Boolean release)
## Static Public Methods
TAO_SCIOP_Endpoint_Info * | allocbuf (CORBA::ULong size)
void | freebuf (TAO_SCIOP_Endpoint_Info *buffer)

## Constructor & Destructor Documentation

ACE_INLINE _TAO_Unbounded_Sequence_TAO_SCIOPEndpointSequence::_TAO_Unbounded_Sequence_TAO_SCIOPEndpointSequence | ( | void |  | ) |

ACE_INLINE _TAO_Unbounded_Sequence_TAO_SCIOPEndpointSequence::_TAO_Unbounded_Sequence_TAO_SCIOPEndpointSequence | ( | CORBA::ULong | maximum | ) |

ACE_INLINE _TAO_Unbounded_Sequence_TAO_SCIOPEndpointSequence::_TAO_Unbounded_Sequence_TAO_SCIOPEndpointSequence | ( | CORBA::ULong | maximum,
|  | CORBA::ULong | length,
|  | TAO_SCIOP_Endpoint_Info * | data,
|  | CORBA::Boolean | release = 0
| ) |

ACE_INLINE _TAO_Unbounded_Sequence_TAO_SCIOPEndpointSequence::_TAO_Unbounded_Sequence_TAO_SCIOPEndpointSequence | ( | const _TAO_Unbounded_Sequence_TAO_SCIOPEndpointSequence & | rhs | ) |

_TAO_Unbounded_Sequence_TAO_SCIOPEndpointSequence::~_TAO_Unbounded_Sequence_TAO_SCIOPEndpointSequence | ( | void |  | ) | `[virtual]`

## Member Function Documentation

void _TAO_Unbounded_Sequence_TAO_SCIOPEndpointSequence::_allocate_buffer | ( | CORBA::ULong | length | ) | `[virtual]`

| Implements TAO_Base_Sequence.

void _TAO_Unbounded_Sequence_TAO_SCIOPEndpointSequence::_deallocate_buffer | ( | void |  | ) | `[virtual]`

| Implements TAO_Base_Sequence.

ACE_INLINE TAO_SCIOP_Endpoint_Info * _TAO_Unbounded_Sequence_TAO_SCIOPEndpointSequence::allocbuf | ( | CORBA::ULong | size | ) | `[static]`

ACE_INLINE void _TAO_Unbounded_Sequence_TAO_SCIOPEndpointSequence::freebuf | ( | TAO_SCIOP_Endpoint_Info * | buffer | ) | `[static]`

ACE_INLINE const TAO_SCIOP_Endpoint_Info * _TAO_Unbounded_Sequence_TAO_SCIOPEndpointSequence::get_buffer | ( | void |  | ) | const

ACE_INLINE TAO_SCIOP_Endpoint_Info * _TAO_Unbounded_Sequence_TAO_SCIOPEndpointSequence::get_buffer | ( | CORBA::Boolean | orphan = 0 | ) |

ACE_INLINE _TAO_Unbounded_Sequence_TAO_SCIOPEndpointSequence & _TAO_Unbounded_Sequence_TAO_SCIOPEndpointSequence::operator= | ( | const _TAO_Unbounded_Sequence_TAO_SCIOPEndpointSequence & | rhs | ) |

ACE_INLINE const TAO_SCIOP_Endpoint_Info & _TAO_Unbounded_Sequence_TAO_SCIOPEndpointSequence::operator[] | ( | CORBA::ULong | i | ) | const

ACE_INLINE TAO_SCIOP_Endpoint_Info & _TAO_Unbounded_Sequence_TAO_SCIOPEndpointSequence::operator[] | ( | CORBA::ULong | i | ) |

ACE_INLINE void _TAO_Unbounded_Sequence_TAO_SCIOPEndpointSequence::replace | ( | CORBA::ULong | max,
|  | CORBA::ULong | length,
|  | TAO_SCIOP_Endpoint_Info * | data,
|  | CORBA::Boolean | release
| ) |

The documentation for this class was generated from the following files:

- sciop_endpoints.h
- sciop_endpoints.cpp
- sciop_endpoints.i